#rating, #cart-popup, .popup-overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.5);
	backdrop-filter: blur(2px);
	display: flex;
	justify-content: center;
	align-items: center;
}

#rating-form, #cart-section, .popup {
	padding: 30px;
	max-width: 360px;
	background: rgba(0, 0, 0, 0.75);
	border: 3px solid rgba(255, 255, 255, 0.1);
	border-radius: 10px;
	box-shadow: 0 0 20px 0px rgba(23, 23, 23, 0.1);
	text-align: center;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 10px;
}

#review {
	position: relative;
	width: 100%;
	height: 100px;
	padding: 10px;
	border: 1px solid rgba(255, 255, 255, 0.2);
	border-radius: 5px;
	background: rgba(0, 0, 0, 0.5);
	color: white;
	resize: vertical;
	max-height: 300px;
	font-size: 16px;
}

#rate-prog {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 10px;
	flex-wrap: wrap;
}

#rate-prog>img {
	flex: 1 1 calc(25% - 25px);
	max-width: calc(25% - 25px);
}


#rate-prog>img {
	opacity: 1;
	transition: 0.2s ease;
	cursor: pointer;
	width: 55px;
	object-fit: contain;
	scale: 1;
}

#rate-prog>img:hover {
	opacity: 1;
	scale: 1.2;
}

#rate-prog>img:hover~img {
	opacity: 0.2;
	scale: 1;
}

.button {
	margin-top: 10px;
	padding: 20px;
	width: 100%;
	max-width: 270px;
	border: none;
	border-radius: 5px;
	background: var(--primary-color);
	color: black;
	font-weight: bold;
	cursor: pointer;
}

#next,
#rating-form>form,
#rating {
	display: none;
}

.rate-me, #rate-me{
	cursor: pointer;
}